package req registry

kanji internalCode SJIS
kanji preferSjis yes

wm withdraw .

proc YNOP {str {default "yes"}} {
    return [tk_messageBox -icon question -type yesno -default $default -message $str]
}

proc deleteAppRelation {} {
    catch {registry delete HKEY_CLASSES_ROOT\\.tcl}
    catch {registry delete HKEY_CLASSES_ROOT\\tclfile}
    catch {registry delete HKEY_LOCAL_MACHINE\\SOFTWARE\\CLASSES\\.tcl}
    catch {registry delete HKEY_LOCAL_MACHINE\\SOFTWARE\\CLASSES\\tclfile}
}

proc deleteInstallDirRegistry {} {
    catch {registry delete HKEY_LOCAL_MACHINE\\Software\\Scriptics\\Tcl\\8.0}
    catch {registry delete HKEY_LOCAL_MACHINE\\Software\\Scriptics\\Tcl}
    catch {registry delete HKEY_LOCAL_MACHINE\\Software\\Scriptics}
}

set ret [YNOP "Tcl/Tk 8.0jp $B$N%;%C%H%"%C%W$GEPO?$5$l$?%l%8%9%H%j$N>C5n$r9T$$$^$9$+!)(B" no]
if {[string compare $ret no] == 0} {
    exit 0
}

set InstDir ""
catch {set InstDir [registry get HKEY_LOCAL_MACHINE\\Software\\Scriptics\\Tcl\\8.0 ""]}
if {[string length $InstDir] <= 0} {
    catch {set InstDir [registry get HKEY_LOCAL_MACHINE\\Software\\Scriptics\\Tcl\\8.0 Root]}    
}
if {[string length $InstDir] <= 0} {
    set InstDir "Tcl/Tk 8.0jp $B$N%$%s%9%H!<%k%G%#%l%/%H%j(B"
}

deleteAppRelation
deleteInstallDirRegistry
tk_messageBox -type ok -icon info -message "$B%l%8%9%H%j$N>C5n$OL5;v$K=*N;$7$^$7$?!#(B\n'$InstDir' $B0J2<A4$F$r%G%#%9%/$+$i:o=|$7$F$b(B OK $B$G$9!#(B"
exit 0
